Bug 5692 - Adapt cataloguing plugin unimarc 210$c for MARC21 260$b and normac
Summary: Adapt cataloguing plugin unimarc 210$c for MARC21 260$b and normac
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5574
  Show dependency treegraph
 
Reported: 2011-02-04 00:18 UTC by Chris Cormack
Modified: 2013-12-05 20:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (11.71 KB, patch)
2011-02-06 20:54 UTC, Chris Cormack
Details | Diff | Splinter Review
new plugin 210c (11.46 KB, patch)
2011-04-06 10:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-02-04 00:18:13 UTC

    
Comment 1 Chris Cormack 2011-02-06 20:54:19 UTC Comment hidden (obsolete)
Comment 2 MJ Ray (software.coop) 2011-03-05 10:34:17 UTC
This bug is mentioned in:
Bug 5692 : Create 210c alternate plugin and	use zebra instead of mysql http://lists.koha-community.org/pipermail/koha-patches/2011-February/013767.html
Comment 3 Paul Poulain 2011-03-19 05:33:05 UTC
This plugin is related to UNIMARC.
It adds an alternative plugin for unimarc 210$c field (editor). The plugin uses AJAX to get the editor name from the ISBN
If the database already contains a book with the same publisher ISBN, then the publisher name is automatically inserted into the publisher field.

This plugin may work for MARC21 as well, I don't think it's specific to UNIMARC.

(I don't sign-off this patch, but it's synch'ed with BibLibre version on git.biblibre.com, that works well)
Comment 4 Jonathan Druart 2011-04-06 10:05:54 UTC
Created attachment 3733 [details] [review]
new plugin 210c

Replacement patch.
Precedent patch call an inexistant script (ysearchzebra.pl)
Comment 5 Frederic Durand 2011-04-06 12:21:26 UTC
Last patch for 210$c is ok. But we need to add some explainations about that bug and patch:
- at the end this patch allows to have a new plugin for 210$c working fine. And when editing a biblio auto completion is activated to get a list of publishers. That s all this plugin does.

- about the fact that it could insert directly the publisher's name into the subfield after checking ISBN in the base, it does not apply at all. To use this fonction you just need to use the plugin unimarc_field_010.pl in fact.
Comment 6 Chris Cormack 2011-04-08 01:50:08 UTC
Signed off patch not on the mailing list or attached
Comment 7 Chris Cormack 2011-04-13 04:01:02 UTC
Pushed, please test
Comment 8 Irma Birchall 2011-11-04 08:28:50 UTC
#5692 provides a neat plugin for unimarc field 210$c.
This would also be useful for MARC21 and nomarc systems.

Here are 2 books by the same publisher: Women's Press (London) for testing: 
Title: Is he worth it? ISBN: 0704349701
Title: Marriage as a trade ISBN: 070433870X
Comment 9 Paul Poulain 2011-11-09 15:05:46 UTC
Irma, does it mean you tried with MARC21 and it worked, or you tried just with an UNIMARC setup ? or you didn't tried ?
(ie: what to do next with this bug)
Comment 10 Jared Camins-Esakov 2012-12-31 00:27:37 UTC
There have been no further reports of problems so I am marking this bug resolved.